CHPASSWD(8)

NOM
chpasswd - Mettre à jour des mots de passe par lot

SYNOPSIS

chpasswd [options]

DESCRIPTION

The chpasswd command reads a list of user name and password pairs from standard input and uses this information to update a group of existing users. Each line is of the format:

user_name:password

By default the passwords must be supplied in clear-text, and are encrypted by chpasswd. Also the password age will be updated, if present.

The default encryption algorithm can be defined for the system with the ENCRYPT_METHOD or MD5_CRYPT_ENAB variables of /etc/login.defs, and can be overwritten with the -e, -m, or -c options.

chpasswd first updates all the passwords in memory, and then commits all the changes to disk if no errors occurred for any user.

Cette commande est destinée aux gros systèmes pour lesquels un nombre importants de comptes sont créés en une seule fois.

OPTIONS

The options which apply to the chpasswd command are:

-c, --crypt-method METHOD
    Utiliser la méthode précisée pour chiffrer les mots de passe.

    Les méthodes disponibles sont DES, MD5, NONE et SHA256 ou SHA512 si votre libc prend en charge ces méthodes.

    By default (if none of the -c, -m, or -e options are specified), the encryption method is defined by the ENCRYPT_METHOD or MD5_CRYPT_ENAB variables of /etc/login.defs.

-e, --encrypted
    Indiquer que les mots de passe fournis sont chiffrés.

-h, --help
    Afficher un message d'aide et quitter.

-m, --md5
    Permettre d'utiliser le chiffrement MD5, plutôt que DES, lorsque les mots de passe fournis ne sont pas chiffrés.

-R, --root CHROOT_DIR
    Apply changes in the CHROOT_DIR directory and use the configuration files from the CHROOT_DIR directory. Only absolute paths are supported.

-P, --prefix PREFIX_DIR
    Apply changes to configuration files under the root filesystem found under the directory PREFIX_DIR. This option does not chroot and is intended for preparing a cross-compilation target. Some limitations: NIS and LDAP users/groups are not verified. PAM authentication is using the host files. No SELINUX support.

-s, --sha-rounds ROUNDS
    Utiliser le nombre de rounds précisé pour chiffrer les mots de passe.

    La valeur 0 signifie que le système choisira la valeur par défaut du nombre de rounds pour la méthode de chiffrement (5 000).

    Une valeur minimale de 1 000 et une valeur maximale de 999 999 999 seront imposées.

    Vous ne pouvez utiliser cette méthode qu'avec les méthodes de chiffrement SHA256 ou SHA512.

    By default, the number of rounds is defined by the SHA_CRYPT_MIN_ROUNDS and SHA_CRYPT_MAX_ROUNDS variables in /etc/login.defs.

AVERTISSEMENTS

Pensez à configurer les permissions ou umask afin d'empêcher la lecture des fichiers non chiffrés par les d'autres utilisateurs.

CONFIGURATION

The following configuration variables in /etc/login.defs change the behavior of this tool:

FICHIERS

/etc/passwd
    Informations sur les comptes des utilisateurs.

/etc/shadow
    Informations sécurisées sur les comptes utilisateurs.

/etc/login.defs
    Configuration de la suite des mots de passe cachés « shadow password ».

VOIR AUSSI

passwd(1), newusers(8), login.defs(5), useradd(8).